Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 246819

Summary: Mixed languages debugging API
Product: debugger Reporter: henk89
Component: CodeAssignee: Martin Entlicher <mentlicher>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: anebuzelsky, henk89, mmirilovic
Version: 8.1Keywords: API, API_REVIEW_FAST
Target Milestone: 8.0.1   
Hardware: All   
OS: All   
Whiteboard: 801patch1-verified
Issue Type: ENHANCEMENT Exception Report:
Attachments: API changes suggested by Martin
non-API changes by Martin and me
The suggested API changes.

Description henk89 2014-09-02 10:10:38 UTC
NB is unable to detect when it should switch debugging session (Java->Native and the opposite way)
Comment 1 henk89 2014-09-02 10:41:16 UTC
Created attachment 148996 [details]
API changes suggested by Martin
Comment 2 henk89 2014-09-02 10:42:01 UTC
Created attachment 148997 [details]
non-API changes by Martin and me
Comment 3 Martin Entlicher 2014-09-08 21:22:30 UTC
Created attachment 149071 [details]
The suggested API changes.

The changes are on mixed-languages-debugging branch in cnd-main repository.
Comment 4 Martin Entlicher 2014-09-11 13:27:31 UTC
I'm going to integrate the change tomorrow, so that we have enough time to do the backport into 8.0.1 patch.
Comment 5 Martin Entlicher 2014-09-12 18:33:28 UTC
Thanks for the review, the change is pushed to trunk:
http://hg.netbeans.org/cnd-main/rev/3107f066bc63
Comment 6 Martin Entlicher 2014-09-14 21:38:57 UTC
The changes in debugger core and in JPDA debugger were transplanted into release801 branch:

http://hg.netbeans.org/releases/rev/521eb3536402
http://hg.netbeans.org/releases/rev/7eb53eb3bf1b
http://hg.netbeans.org/releases/rev/ef3e201dd130

The modules version were increased with respect to release801 version numbers.

You may transplant the changes in CND as well.
Comment 7 Jiri Kovalsky 2014-09-19 13:27:22 UTC
From my testing of Step Into action on Ant/Maven based JavaSE projects everything looks good in:

Product Version: NetBeans IDE 8.0.1 (Build 201408251540)
Updates: NetBeans IDE is updated to version NetBeans 8.0.1 Patch 1
Java: 1.8.0_20; Java HotSpot(TM) 64-Bit Server VM 25.20-b23
Runtime: Java(TM) SE Runtime Environment 1.8.0_20-b26
System: Linux version 3.13.0-24-generic running on amd64; UTF-8; en_US (nb)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo